#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 lsp-test
version:              0.13.0.0
visibility:           public
id:                   lsp-test-0.13.0.0-3ZFoqlTGuiTLWHF09IOMR1
key:                  lsp-test-0.13.0.0-3ZFoqlTGuiTLWHF09IOMR1
license:              BSD-3-Clause
copyright:            2021 Luke Lau
maintainer:           luke_lau@icloud.com
author:               Luke Lau
homepage:             https://github.com/bubba/lsp-test#readme
synopsis:             Functional test framework for LSP servers.
description:
    A test framework for writing tests against
    <https://microsoft.github.io/language-server-protocol/ Language Server Protocol servers>.
    @Language.LSP.Test@ launches your server as a subprocess and allows you to simulate a session
    down to the wire, and @Language.LSP.Test@ can replay captured sessions from
    <haskell-lsp https://hackage.haskell.org/package/haskell-lsp>.
    To see examples of it in action, check out <https://github.com/haskell/haskell-ide-engine haskell-ide-engine>,
    <https://github.com/haskell/haskell-language-server haskell-language-server> and
    <https://github.com/digital-asset/ghcide ghcide>.

category:             Testing
abi:                  2cec2fa84868257fa01cefc0448ad7fe
exposed:              True
exposed-modules:
    Control.Applicative.Combinators from parser-combinators-1.3.0-DiU4leLN1bk4yjPVc8BdOd:Control.Applicative.Combinators,
    Language.LSP.Test,
    Language.LSP.Types from lsp-types-1.1.0.0-3zO389Wmm7kH1R6DziqHfV:Language.LSP.Types,
    Language.LSP.Types.Capabilities from lsp-types-1.1.0.0-3zO389Wmm7kH1R6DziqHfV:Language.LSP.Types.Capabilities

hidden-modules:
    Language.LSP.Test.Compat Language.LSP.Test.Decoding
    Language.LSP.Test.Exceptions Language.LSP.Test.Files
    Language.LSP.Test.Parsing Language.LSP.Test.Server
    Language.LSP.Test.Session

import-dirs:          /usr/lib/ghc-8.10.4/site-local/lsp-test-0.13.0.0
library-dirs:         /usr/lib/ghc-8.10.4/site-local/lsp-test-0.13.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.4/lsp-test-0.13.0.0
hs-libraries:         HSlsp-test-0.13.0.0-3ZFoqlTGuiTLWHF09IOMR1
depends:
    Diff-0.4.0-KyPtUOKlpskC2b7jcuQ1e4
    Glob-0.10.1-47a4LNZRWUlArGBOk8Yz3p
    aeson-1.5.6.0-8KXcI8eaJDb23YvdvZt7uT
    aeson-pretty-0.8.8-9BEQ3N6gNQ9IqqiHndgoIs
    ansi-terminal-0.11-B33URfqMvdcAXWIdsUyVZE
    async-2.2.3-2cYLtGWZjMO21a0j0Ua6Nz base-4.14.1.0
    bytestring-0.10.12.0 conduit-1.3.4.1-L6Bk3TSuZkDDhpI3wXn9O2
    conduit-parse-0.2.1.0-7p9sZZBI5QZ6VoxltpDImT containers-0.6.2.1
    data-default-0.7.1.1-DVZWGRf90hqGebpGTaPvOV directory-1.3.6.0
    filepath-1.4.2.1 lens-5.0.1-CE26d8f9KlGBxeehqIVbTQ
    lsp-types-1.1.0.0-3zO389Wmm7kH1R6DziqHfV mtl-2.2.2
    parser-combinators-1.3.0-DiU4leLN1bk4yjPVc8BdOd process-1.6.9.0
    some-1.0.3-DOAyHBxu2Hi295GDOks7Sc text-1.2.4.1 time-1.9.3
    transformers-0.5.6.2 unix-2.7.2.2
    unordered-containers-0.2.13.0-Db75j8fMRzh4s5oxHejudG

haddock-interfaces:   /usr/share/doc/haskell-lsp-test/html/lsp-test.haddock
haddock-html:         /usr/share/doc/haskell-lsp-test/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

